Bug 435383 - typo in iscsi _getParser(self)
typo in iscsi _getParser(self)
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pykickstart (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks: 435451
  Show dependency treegraph
 
Reported: 2008-02-28 17:08 EST by James Laska
Modified: 2013-09-02 02:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-28 19:01:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-02-28 17:08:36 EST
diff --git a/pykickstart/commands/iscsi.py b/pykickstart/commands/iscsi.py
index f967056..e1339f7 100644
--- a/pykickstart/commands/iscsi.py
+++ b/pykickstart/commands/iscsi.py
@@ -70,7 +70,7 @@ class FC6_Iscsi(KickstartCommand):
 
     def _getParser(self):
         op = KSOptionParser(lineno=self.lineno)
-        op.add_option("--target", dest="ipaddr", action="store", type="string")
+        op.add_option("--target", dest="target", action="store", type="string")
         op.add_option("--ipaddr", dest="ipaddr", action="store", type="string",
                       required=1)
         op.add_option("--port", dest="port", action="store", type="string")
Comment 1 James Laska 2008-02-29 09:26:27 EST
Ooops, I guess the RHEL5 version of this patch would be:

diff --git a/pykickstart/parser.py b/pykickstart/parser.py
index a37baa0..1aa538b 100644
--- a/pykickstart/parser.py
+++ b/pykickstart/parser.py
@@ -431,7 +431,7 @@ class KickstartHandlers:
 
     def doIscsi(self, args):
         op = KSOptionParser(lineno=self.lineno)
-        op.add_option("--target", dest="ipaddr", action="store", type="string")
+        op.add_option("--target", dest="target", action="store", type="string")
         op.add_option("--ipaddr", dest="ipaddr", action="store", type="string",
                       required=1)
         op.add_option("--port", dest="port", action="store", type="string")

Comment 2 Chris Lumens 2009-07-28 19:01:12 EDT
This is fixed in pykickstart head, and we haven't gotten any other reports about this in RHEL5 so I'm going to go ahead and close as NEXTRELEASE.  I wonder if this means that no one is actually using the kickstart iscsi command.  If someone is and runs across this, we can always reopen.

Note You need to log in before you can comment on or make changes to this bug.